Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class BytecodeInterface8

    java.lang.Object
      org.codehaus.groovy.runtime.BytecodeInterface8

    public class BytecodeInterface8
    extends java.lang.Object

This class contains methods special to optimizations used directly from bytecode in Groovy 1.8

Authors:
  Jochen "blackdrag" Theodorou

Method Summary
`static byte` | `bArrayGet(byte[] a, int i)` get value from byte[] using normalized index
`static void` | `bArraySet(byte[] a, int i, byte v)` set value from byte[] using normalized index
`static char` | `cArrayGet(char[] a, int i)`
`static void` | `cArraySet(char[] a, int i, char v)` set value from char[] using normalized index
`static double` | `dArrayGet(double[] a, int i)`
`static void` | `dArraySet(double[] a, int i, double v)`
`static boolean` | `disabledStandardMetaClass()`
`static float` | `fArrayGet(float[] a, int i)` set value from float[] using normalized index
`static void` | `fArraySet(float[] a, int i, float v)` @return true if double has its default MetaClass
`static int` | `intArrayGet(int[] a, int i)` get value from int[] using normalized index
`static void` | `intArraySet(int[] a, int i, int v)` set value from int[] using normalized index
`static boolean` | `isOrigB()` @return true if byte has its default MetaClass
`static boolean` | `isOrigBArray()` @return true if byte array has its default MetaClass
`static boolean` | `isOrigC()` @return true if char has its default MetaClass
`static boolean` | `isOrigCArray()` get value from char[] using normalized index
`static boolean` | `isOrigD()` @return true if double array has its default MetaClass
`static boolean` | `isOrigDArray()`
`static boolean` | `isOrigF()` @return true if float array has its default MetaClass
`static boolean` | `isOrigFArray()` get value from float[] using normalized index
`static boolean` | `isOrigInt()` @return true if integer has its default MetaClass
`static boolean` | `isOrigIntArray()` @return true if integer array has its default MetaClass
`static boolean` | `isOrigL()` @return true if long has its default MetaClass
`static boolean` | `isOrigLArray()` get value from long[] using normalized index
`static boolean` | `isOrigS()` @return true if short has its default MetaClass
`static boolean` | `isOrigSArray()` @return true if short array has its default MetaClass
`static boolean` | `isOrigZ()` @return true if boolean has its default MetaClass
`static boolean` | `isOrigZArray()` get value from boolean[] using normalized index
`static long` | `lArrayGet(long[] a, int i)`
`static void` | `lArraySet(long[] a, int i, long v)`
`static java.lang.Object` | `objectArrayGet(java.lang.Object[] a, int i)` set value from double[] using normalized index
`static void` | `objectArraySet(java.lang.Object[] a, int i, java.lang.Object v)`
`static short` | `sArrayGet(short[] a, int i)`
`static void` | `sArraySet(short[] a, int i, short v)` set value from short[] using normalized index
`static boolean` | `zArrayGet(boolean[] a, int i)` set value from boolean[] using normalized index
`static void` | `zArraySet(boolean[] a, int i, boolean v)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### bArrayGet

    public static byte bArrayGet(byte[] a, int i)

  get value from byte[] using normalized index

### bArraySet

    public static void bArraySet(byte[] a, int i, byte v)

  set value from byte[] using normalized index

### cArrayGet

    public static char cArrayGet(char[] a, int i)

### cArraySet

    public static void cArraySet(char[] a, int i, char v)

  set value from char[] using normalized index

### dArrayGet

    public static double dArrayGet(double[] a, int i)

### dArraySet

    public static void dArraySet(double[] a, int i, double v)

### disabledStandardMetaClass

    public static boolean disabledStandardMetaClass()

### fArrayGet

    public static float fArrayGet(float[] a, int i)

  set value from float[] using normalized index

### fArraySet

    public static void fArraySet(float[] a, int i, float v)

  Returns:
    true if double has its default MetaClass

### intArrayGet

    public static int intArrayGet(int[] a, int i)

  get value from int[] using normalized index

### intArraySet

    public static void intArraySet(int[] a, int i, int v)

  set value from int[] using normalized index

### isOrigB

    public static boolean isOrigB()

  Returns:
    true if byte has its default MetaClass

### isOrigBArray

    public static boolean isOrigBArray()

  Returns:
    true if byte array has its default MetaClass

### isOrigC

    public static boolean isOrigC()

  Returns:
    true if char has its default MetaClass

### isOrigCArray

    public static boolean isOrigCArray()

  get value from char[] using normalized index

### isOrigD

    public static boolean isOrigD()

  Returns:
    true if double array has its default MetaClass

### isOrigDArray

    public static boolean isOrigDArray()

### isOrigF

    public static boolean isOrigF()

  Returns:
    true if float array has its default MetaClass

### isOrigFArray

    public static boolean isOrigFArray()

  get value from float[] using normalized index

### isOrigInt

    public static boolean isOrigInt()

  Returns:
    true if integer has its default MetaClass

### isOrigIntArray

    public static boolean isOrigIntArray()

  Returns:
    true if integer array has its default MetaClass

### isOrigL

    public static boolean isOrigL()

  Returns:
    true if long has its default MetaClass

### isOrigLArray

    public static boolean isOrigLArray()

  get value from long[] using normalized index

### isOrigS

    public static boolean isOrigS()

  Returns:
    true if short has its default MetaClass

### isOrigSArray

    public static boolean isOrigSArray()

  Returns:
    true if short array has its default MetaClass

### isOrigZ

    public static boolean isOrigZ()

  Returns:
    true if boolean has its default MetaClass

### isOrigZArray

    public static boolean isOrigZArray()

  get value from boolean[] using normalized index

### lArrayGet

    public static long lArrayGet(long[] a, int i)

### lArraySet

    public static void lArraySet(long[] a, int i, long v)

### objectArrayGet

    public static java.lang.Object objectArrayGet(java.lang.Object[] a, int i)

  set value from double[] using normalized index

### objectArraySet

    public static void objectArraySet(java.lang.Object[] a, int i, java.lang.Object v)

### sArrayGet

    public static short sArrayGet(short[] a, int i)

### sArraySet

    public static void sArraySet(short[] a, int i, short v)

  set value from short[] using normalized index

### zArrayGet

    public static boolean zArrayGet(boolean[] a, int i)

  set value from boolean[] using normalized index

### zArraySet

    public static void zArraySet(boolean[] a, int i, boolean v)

Groovy Documentation